curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/bank-accounts \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_holder_name": "Cayla Lloyd",
"account_number": "12345678",
"account_number_last4": "5678",
"bank_name": "Chase Bank",
"bic": "CHASUS33XXX",
"country": "US",
"currency": "USD",
"display_name": "Primary account",
"iban": "GB29NWBK60161331926819",
"is_default_for_currency": false,
"routing_number": "<string>",
"sort_code": "123456",
"was_created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next_pagination_token": "<string>",
"prev_pagination_token": "<string>"
}Get all bank accounts of this entity.
curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/bank-accounts \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_holder_name": "Cayla Lloyd",
"account_number": "12345678",
"account_number_last4": "5678",
"bank_name": "Chase Bank",
"bic": "CHASUS33XXX",
"country": "US",
"currency": "USD",
"display_name": "Primary account",
"iban": "GB29NWBK60161331926819",
"is_default_for_currency": false,
"routing_number": "<string>",
"sort_code": "123456",
"was_created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next_pagination_token": "<string>",
"prev_pagination_token": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Successful Response
A paginated list of an entity's bank accounts.
A list of an entity's bank accounts.
Show child attributes
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you've reached the last page).
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you've reached the first page).
Was this page helpful?